@import 'settings';

.inline-group.content-item-inline {
    .inline-related {
        background: $white;
        border-width: 0;

        h3 {
            > b {
                display: none;
            }

            .inline_label {
                text-transform: capitalize;
                font-weight: bold;
                font-size: 13px;
            }
        }

        fieldset.module.aligned {
            margin-bottom: 0;
        }

        .form-row {
            display: none;
            padding: 20px 0 10px 0 !important;

            label {
                display: none !important;
            }

            &.field-position {
                display: none;
            }
        }

        // Text inline
        &.inline-text {
            .form-row.field-text {
                display: block;
            }
        }

        // Image inline
        &.inline-image {
            .form-row.field-image {
                display: block;
            }
        }

        // Video inline
        &.inline-video {
            .form-row.field-video {
                display: block;
            }
        }

        &.inline-image,
        &.inline-video {
            .foreignKeyImage {
                img {
                    width: 100%;
                }
            }

            a.related-lookup {
                display: none;
            }

            .foreignKeyImage {
                margin-top: 0;
            }

            .vForeignKeyRawIdAdminField {
                display: none;
            }
        }

        // Inline sortables
        @media (min-width: $desktop-width) {
            &.inline-image:not(.empty-form),
            &.inline-video:not(.empty-form) {
                box-sizing: border-box;
                position: relative;
                display: inline-block;
                vertical-align: top;
                min-width: 200px;
                max-width: 336px;
                padding: 10px;
                margin-bottom: 0;
                overflow: hidden;

                .form-row {
                    max-width: 316px;
                }

                .foreignKeyImage {
                    position: relative;
                    width: 100%;

                    img {
                        display: block;
                        max-width: calc(100% - 16px);
                        max-height: 360px;
                        height: auto;
                        width: auto;
                    }

                    &.empty {
                        display: block;
                        width: 316px;
                        height: 300px;
                    }
                }

                h3 {
                    position: static;
                    padding-left: 0;
                    padding-right: 6px;
                }

                h3 .sortable-drag-handle {
                    z-index: 1;
                    width: calc(100% - 10px);
                    height: calc(100% - 54px);

                    &::before {
                        display: none !important;
                    }
                }

                h3 .delete {
                    position: relative;
                    z-index: 5;
                }

                .inline-deletelink {
                    position: relative;
                    z-index: 5;
                }

                .form-row {
                    border-bottom: 0;
                }
            }
        }
    }
}
